AddCommentTemplate (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client.templates

## Class AddCommentTemplate

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.newsfeed.client.templates.AddCommentTemplate

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class AddCommentTemplate
      extends com.google.gwt.user.client.ui.Composite

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `avatar_default`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddCommentTemplate(TweetTemplate caller, org.gcube.portal.databook.shared.Comment toEdit, com.google.gwt.user.client.ui.HTMLPanel commentPanel)` called on edit comment
    `AddCommentTemplate(TweetTemplate caller, org.gcube.portal.databook.shared.UserInfo myUserInfo, com.google.gwt.event.shared.HandlerManager eventBus)` called on add comment

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBrowserEvent(com.google.gwt.user.client.Event event)` paste event overridden
    `void` | `setFocus()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### avatar_default

          public static final String avatar_default

  - ### Constructor Detail

    - #### AddCommentTemplate

          public AddCommentTemplate(TweetTemplate caller,
                            org.gcube.portal.databook.shared.UserInfo myUserInfo,
                            com.google.gwt.event.shared.HandlerManager eventBus)

      called on add comment
      Parameters:
        `caller` -
        `myUserInfo` -
        `eventBus` -

    - #### AddCommentTemplate

          public AddCommentTemplate(TweetTemplate caller,
                            org.gcube.portal.databook.shared.Comment toEdit,
                            com.google.gwt.user.client.ui.HTMLPanel commentPanel)

      called on edit comment
      Parameters:
        `caller` -
        `editText` -

  - ### Method Detail

    - #### setFocus

          public void setFocus()

    - #### onBrowserEvent

          public void onBrowserEvent(com.google.gwt.user.client.Event event)

      paste event overridden
      Specified by:
        `onBrowserEvent` in interface `com.google.gwt.user.client.EventListener`
      Overrides:
        `onBrowserEvent` in class `com.google.gwt.user.client.ui.Composite`

Copyright © 2014. All Rights Reserved.